%global glib_version 2.75.1
%global gtk3_version 3.19.8
%global gsettings_desktop_schemas_version 40~alpha
%global json_glib_version 0.12.0
%global libinput_version 1.19.0
%global pipewire_version 0.3.33
%global lcms2_version 2.6
%global colord_version 1.4.5

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define lib_major	0
%define api		12
%define libname		%mklibname %{name} %{api} %{lib_major}
%define libnamedev	%mklibname -d %{name} %{api}

%define privatelib	%mklibname %{name}-private %{api}
%define privategir	%mklibname %{name}-private-gir %{api}

# (wally) building tests causes ninja to loop forever
%bcond_without tests

# (tmb) disble underlinking for now
%define _disable_ld_no_undefined 1

# ovitters remove this autoreq; this is a hack
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^devel\\(libmutter-

%global libinput_version 1.4
%global json_glib_version 0.12.0

Name:		mutter
Version:	44.2
Release:	%mkrel 1
Summary:	Window and compositing manager based on Clutter
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		https://download.gnome.org/sources/mutter/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# upstream git

# From Fedora
# Work-around for OpenJDK's compliance test
Patch50:        0001-window-actor-Special-case-shaped-Java-windows.patch

# To make s390x build pass

# https://bugzilla.redhat.com/show_bug.cgi?id=1936991
Patch52:        mutter-42.alpha-disable-tegra.patch

#
# From Deb
#
# https://gitlab.gnome.org/GNOME/mutter/merge_requests/392
Patch100:      meson-add-back-default_driver-option.patch
# https://gitlab.gnome.org/GNOME/mutter/-/issues/1850
Patch102:      tests-Mark-view-verification-tests-as-incomplete-in-big-e.patch
# https://gitlab.gnome.org/GNOME/mutter/-/merge_requests/1441
Patch113:      Support-Dynamic-triple-double-buffering.patch
#
Patch114:      tests-Do-not-run-screencast-tests.patch
Patch115:      tests-skip-monitor-width-size-check-as-it-may-lead-to-une.patch
Patch117:      wayland-data-device-Allow-any-drag-timestamp-as-drag-star.patch
#
Patch118:      core-Avoid-focusing-windows-on-map-during-grabs.patch
Patch121:      tests-Disable-restore-size-test.patch
Patch122:      workspace-Don-t-crash-on-invalid-argument-to-meta_workspa.patch
Patch124:      cursor-renderer-native-Workaround-broken-arm64-drivers.patch

# From ubuntu
# https://bugs.launchpad.net/ubuntu/+source/mutter/+bug/1820850
# (https://gitlab.gnome.org/3v1n0/mutter/-/commits/xrandr-scaling)
Patch150:      x11-Add-support-for-fractional-scaling-using-Randr.patch
#

# From opensuse
Patch201:      mutter-SLE-bell.patch

# Fix libmutter-test-12.so's soversion
Patch500:      0001-Add-soversion-to-libmutter-test-12.so.patch

BuildRequires:	cvt
BuildRequires:	git
BuildRequires:	meson
BuildRequires:	mesaegl-devel
BuildRequires:	pkgconfig(gnome-settings-daemon)
BuildRequires:	pkgconfig(glesv2)
BuildRequires:	pkgconfig(glib-2.0) >= %{glib_version}
BuildRequires:	pkgconfig(gio-2.0) >= 2.25.10
BuildRequires:	pkgconfig(graphene-gobject-1.0)
BuildRequires:	pkgconfig(gsettings-desktop-schemas) >= 3.7.3
BuildRequires:	pkgconfig(gnome-settings-daemon)
BuildRequires:	pkgconfig(gnome-desktop-4)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.3.3
BuildRequires:	pkgconfig(gbm)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(libwacom)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(libstartup-notification-1.0) >= 0.7
BuildRequires:	pkgconfig(libcanberra)
BuildRequires:	pkgconfig(libcanberra-gtk3) >= 0.26
BuildRequires:	pkgconfig(libpipewire-0.3) >= 0.2.5
BuildRequires:	pkgconfig(xcomposite) >= 0.2
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(pango) >= 1.2.0
BuildRequires:	pkgconfig(cairo) >= 1.10.0
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xdamage)
BuildRequires:	pkgconfig(xi) >= 1.6.99.1
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(xrender)
BuildRequires:	pkgconfig(xdamage)
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.9.5
BuildRequires:	pkgconfig(clutter-1.0) >= 1.19.5
BuildRequires:	pkgconfig(upower-glib) >= 0.99.0
BuildRequires:	pkgconfig(gnome-desktop-3.0)
BuildRequires:	pkgconfig(libdrm)
BuildRequires:	pkgconfig(wayland-server) >= 1.13.0
BuildRequires:	pkgconfig(wayland-protocols) >= 1.19
BuildRequires:	pkgconfig(lcms2) >= %{lcms2_version}
BuildRequires:	pkgconfig(colord) >= %{colord_version}
BuildRequires:	pkgconfig(clutter-wayland-1.0)
BuildRequires:	pkgconfig(clutter-wayland-compositor-1.0)
BuildRequires:	pkgconfig(clutter-egl-1.0)
BuildRequires:	pkgconfig(cogl-1.0) >= 1.17.1
BuildRequires:	x11-server-xvfb
# for wayland:
BuildRequires:	x11-server-xwayland
BuildRequires:	pkgconfig(json-glib-1.0) >= %{json_glib_version}
BuildRequires:	pkgconfig(libinput) >= %{libinput_version}
BuildRequires:	pkgconfig(xwayland)
BuildRequires:	pkgconfig(libsystemd)
# Nvidia eglstream:
BuildRequires:	pkgconfig(wayland-eglstream)
BuildRequires:	pkgconfig(wayland-eglstream-protocols)
BuildRequires:	pkgconfig(sysprof-capture-4)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(glesv2)
BuildRequires:	pkgconfig(xkbfile)
BuildRequires:	pkgconfig(xkbcommon) >= 0.4.3
BuildRequires:	pkgconfig(xkbcommon-x11)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(x11-xcb)
BuildRequires:	pkgconfig(xkeyboard-config)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	zenity
BuildRequires:	gettext
BuildRequires:	gtk-doc
BuildRequires:	gnome-doc-utils
Requires:	zenity
Requires:	%{privategir} = %{version}-%{release}
%if ! %{with tests}
Obsoletes:	%{name}-tests < %{version}-%{release}
%endif

%description
Mutter is a window and compositing manager that displays and manages
your desktop via OpenGL. Mutter combines a sophisticated display engine
using the Clutter toolkit with solid window-management logic inherited
from the Metacity window manager.

While Mutter can be used stand-alone, it is primarily intended to be
used as the display core of a larger system such as GNOME Shell. For
this reason, Mutter is very extensible via plugins, which are used both
to add fancy visual effects and to rework the window management
behaviors to meet the needs of the environment.

%package -n %{libname}
Summary:	Libraries for Mutter
Group:		System/Libraries
Obsoletes:	%{_lib}mutter-private0 <= 3.29.3
Conflicts:	mutter < 3.38.2-2

%description -n %{libname}
This package contains libraries used by Mutter.

%package -n %{privatelib}
Summary:	Private libraries for Mutter
Group:		System/Libraries
Conflicts:	mutter < 3.29.3-3

%description -n %{privatelib}
This package contains private libraries used by Mutter.

%package -n %{privategir}
Summary:	GObject Introspection interface description for Mutter
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Requires:	%{privatelib} = %{version}-%{release}
Conflicts:	mutter < 3.29.3-3

%description -n %{privategir}
GObject Introspection interface description for Mutter.

%package -n %{libnamedev}
Summary: Development package for %{name}
Group:		Development/GNOME and GTK+
Requires:       %{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{privatelib} = %{version}-%{release}
Requires:	%{privategir} = %{version}-%{release}
# for EGL/eglmesaext.h that's included from public cogl-egl-defines.h header
Requires: %{_lib}mesaegl-devel
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}mutter-private-devel < 3.29.3-2

%description -n %{libnamedev}
Header files and libraries for developing Mutter plugins. Also includes
utilities for testing Metacity/Mutter themes.

%package  tests
Summary:	Tests for the %{name} package
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{version}-%{release}

%description tests
The %{name}-tests package contains tests that can be used to verify
the functionality of the installed %{name} package.

%prep
%autosetup -S git -p1

%build
%meson \
	-Dtests=%{?with_tests:true}%{!?with_tests:false} \
	-Dintrospection=true \
	-Dwayland=true \
	-Degl_device=true \
	-Dwayland_eglstream=true \
	-Dxwayland_initfd=enabled \
	-Dremote_desktop=true \
	-Dnative_backend=true
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%doc NEWS
%{_bindir}/mutter
%{_libexecdir}/mutter-restart-helper
%{_libexecdir}/mutter-x11-frames
%{_datadir}/GConf/gsettings/mutter-schemas.convert
%{_datadir}/glib-2.0/schemas/org.gnome.mutter.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.mutter.wayland.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.mutter.x11.gschema.xml
%{_datadir}/gnome-control-center/keybindings/50-mutter-*.xml
%{_mandir}/man1/mutter.1*
%{_udevrulesdir}/61-mutter.rules

%files -n %{libname}
%dir %{_libdir}/%{name}-%{api}
%dir %{_libdir}/%{name}-%{api}/plugins
%{_libdir}/%{name}-%{api}/plugins/libdefault.so
%{_libdir}/lib%{name}-%{api}.so.%{lib_major}{,.*}
%{_libdir}/%{name}-%{api}/lib%{name}-*-%{api}.so.%{lib_major}{,.*}
%{_libdir}/lib%{name}-test-%{api}.so.%{lib_major}{,.*}

%files -n %{privategir}
%{_libdir}/%{name}-%{api}/*-%{api}.typelib

%files -n %{privatelib}
%{_libdir}/%{name}-%{api}/libmutter-*-%{api}.so

%files -n %{libnamedev}
%{_includedir}/*
%{_libdir}/lib%{name}*-%{api}.so
%{_libdir}/pkgconfig/*
%{_libdir}/%{name}-%{api}/*.gir

%if %{with tests}
%files tests
%{_libexecdir}/installed-tests/%{name}-%{api}
%{_datadir}/installed-tests/%{name}-%{api}
%{_datadir}/%{name}-%{api}/tests
%endif


%changelog
* Sat Jun 03 2023 daviddavid <daviddavid> 44.2-1.mga9
+ Revision: 1960816
- new version 44.2
- remove merged upstream patches

* Wed May 03 2023 tmb <tmb> 44.1-3.mga9
+ Revision: 1955669
- frames: Disable XDND support on the frame window

* Thu Apr 27 2023 ghibo <ghibo> 44.1-2.mga9
+ Revision: 1955193
- Re-include __requires_exclude to avoid problems with devel(libmutter-...) deps

* Thu Apr 27 2023 ghibo <ghibo> 44.1-1.mga9
+ Revision: 1955088
- Update to release 44.1
- Drop Patch4, Patch120, Patch125, Patch126 merged upstream.
- Rebase triple buffering patchset.
- Add Patch151 to fix race conditions with Xwayland.

* Wed Apr 26 2023 ghibo <ghibo> 44.0-3.mga9
+ Revision: 1955041
- Fix soversion patch
- Add soversion to libmutter-test-12.so

* Sun Apr 23 2023 ghibo <ghibo> 44.0-2.mga9
+ Revision: 1954510
- Rebase old patchset (not yet merged upstream).
- Merge Patch (2954.patch) from Fedora to fix ignored mouse clicks on title bar.
- Update minimal glib2.0 version in BuildRequires.

* Sat Apr 22 2023 tmb <tmb> 44.0-1.mga9
+ Revision: 1954270
- BR: pkgconfig(gnome-desktop-4)
- drop obsolete patches
- update filelists
- update to 44.0

* Sat Apr 01 2023 ghibo <ghibo> 43.4-1.mga9
+ Revision: 1951116
- Update to release 43.4.
- Add more patches from debian.

* Sat Dec 10 2022 ghibo <ghibo> 43.2-1.mga9
+ Revision: 1920199
- Update to release 43.2.
- Drop Patch4, merged upstream.
- Drop post-43.1-fixes patch, as should be replaced with a proper fix in 43.2.

* Thu Nov 24 2022 tv <tv> 43.1-4.mga9
+ Revision: 1910728
- Backport regression fixes on x11

* Sat Nov 19 2022 ghibo <ghibo> 43.1-3.mga9
+ Revision: 1908819
- fix crash after resume in Wayland when there is no monitor (upstream bug #2508).

* Wed Nov 09 2022 ghibo <ghibo> 43.1-2.mga9
+ Revision: 1904969
- Rebuild for core/release

* Sun Nov 06 2022 ghibo <ghibo> 43.1-1.mga9
+ Revision: 1903969
- Update to release 43.1.
- Remove Patch3,4,5,6 merged upstream.
- Re-enable support for Dynamic triple-double buffering.
- Refresh Patch117 (wayland).

* Fri Oct 21 2022 ghibo <ghibo> 43.0-6.mga9
+ Revision: 1898117
- Rebuild due to problems on the BS (package ghosting)

* Thu Oct 20 2022 ghibo <ghibo> 43.0-5.mga9
+ Revision: 1898113
- Reintroduce bug fixes for upstream bug #2624 (splitten as Patch4, Patch5, Patch6).
- Disable introduced support for dynamic triple buffering (need to be reworked, as conflicts with fixes for bug #2624).

* Thu Oct 20 2022 ghibo <ghibo> 43.0-4.mga9
+ Revision: 1897966
- Merge patches from opensuse (lower HiDPI limit from 192 to 144, and fix for bell)
- Fix file list for Patch150
- Merge patch from ubu to support fractional scaling (Xorg only)
- Attempt at fixing bug #30936.
- Temporarily disable Patch4 (2624.patch).
- Merge patchset (subset) from deb.

* Fri Sep 23 2022 tv <tv> 43.0-3.mga9
+ Revision: 1891757
- Backport upstream MR2623 to fix night light controls
- Backport upstream MR2624 to fix maximized windows appearing on all
  screens (rhbz#2128660)

* Wed Sep 21 2022 tv <tv> 43.0-2.mga9
+ Revision: 1891072
- Rebuild for new libgnome-desktop

* Mon Sep 19 2022 tv <tv> 43.0-1.mga9
+ Revision: 1890283
- Backport MR #2366 to fix stuck modifier key issues (#2076390)
- Backport MR #2321 to fix top bar hover issues
- Backport MR #2333 to fix partial lock on interrupted dimming (#2073206)

* Sat Apr 30 2022 tv <tv> 42.0-3.mga9
+ Revision: 1855229
- Backport MR #2366 to fix stuck modifier key issues (#2076390)
- Backport MR #2321 to fix top bar hover issues
- Backport MR #2333 to fix partial lock on interrupted dimming (#2073206)

* Fri Apr 01 2022 tv <tv> 42.0-2.mga9
+ Revision: 1839026
- Backport MR #2353 to fix overview search with input methods (rhbz#2062660)

* Tue Mar 15 2022 tv <tv> 42.0-1.mga9
+ Revision: 1793943
- Update to 42.0

* Sun Feb 20 2022 pterjan <pterjan> 41.0-4.mga9
+ Revision: 1781964
- Drop requirement for catchsegv which is no longer provided by glibc

* Mon Jan 10 2022 tv <tv> 41.0-3.mga9
+ Revision: 1767683
- Move libmutter-tests.so into devel package
- Build tests subpkg for gnome-shell

* Mon Jan 10 2022 tv <tv> 41.0-1.mga9
+ Revision: 1767551
- Update to 41.0
- Backport MR #2059 to fix cursor jumping around in text editors (rhbz#2017192)
- Backport MR #2040 to fix cursor offset in VMs (rhbz#2009304)

* Mon Dec 13 2021 tv <tv> 40.7-2.mga9
+ Revision: 1761932
- Rebuild for new libwacom

* Sun Dec 12 2021 ovitters <ovitters> 40.7-1.mga9
+ Revision: 1761722
- new version 40.7

* Fri Nov 05 2021 ovitters <ovitters> 40.6-1.mga9
+ Revision: 1753986
- new version 40.6

* Tue Sep 21 2021 ovitters <ovitters> 40.5-1.mga9
+ Revision: 1746145
- new version 40.5

* Wed Aug 18 2021 ovitters <ovitters> 40.4-1.mga9
+ Revision: 1741823
- new version 40.4

* Mon Jul 12 2021 ovitters <ovitters> 40.3-1.mga9
+ Revision: 1735825
- new version 40.3

* Tue Jun 15 2021 ovitters <ovitters> 40.2.1-1.mga9
+ Revision: 1730857
- new version 40.2.1

* Thu Jun 10 2021 ovitters <ovitters> 40.2-1.mga9
+ Revision: 1730286
- new version 40.2

* Fri May 14 2021 ovitters <ovitters> 40.1-1.mga9
+ Revision: 1722895
- new version 40.1

* Sat Mar 27 2021 ovitters <ovitters> 40.0-3.mga9
+ Revision: 1711065
- rebuild for move to main

* Fri Mar 26 2021 ovitters <ovitters> 40.0-2.mga9
+ Revision: 1710746
- re-enable Xwayland initfd as our Xwayland is new enough

* Fri Mar 26 2021 ovitters <ovitters> 40.0-1.mga9
+ Revision: 1710684
- bump api
- new version 40.0

* Tue Mar 16 2021 ovitters <ovitters> 3.38.4-1.mga9
+ Revision: 1703704
- new version 3.38.4

* Thu Jan 14 2021 ovitters <ovitters> 3.38.3-1.mga8
+ Revision: 1671831
- new version 3.38.3

* Sun Jan 10 2021 wally <wally> 3.38.2-2.mga8
+ Revision: 1670281
- move mutter plugin module libdefault.so to lib pkg to be available even when mutter itself isn't installed

* Thu Dec 31 2020 tmb <tmb> 3.38.2-1.mga8
+ Revision: 1666687
- BR: git
+ ovitters <ovitters>
- new version 3.38.2
+ tv <tv>
- better description
- use %%autosetup

* Tue Oct 06 2020 tv <tv> 3.38.1-1.mga8
+ Revision: 1632312
- add udev rules to filelist
+ ovitters <ovitters>
- new version 3.38.1

* Tue Sep 15 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1626631
- new version 3.38.0

* Sat Sep 05 2020 ovitters <ovitters> 3.37.92-1.mga8
+ Revision: 1622691
- new version 3.37.92

* Mon Aug 24 2020 ovitters <ovitters> 3.37.91-1.mga8
+ Revision: 1618601
- new version 3.37.91

* Tue Aug 11 2020 ovitters <ovitters> 3.37.90-1.mga8
+ Revision: 1613376
- new version 3.37.90
- drop upstream patch 0001-bump-ABI-to-sysprof-capture-4.patch
- drop upstreamed patch 0001-Fix-segfaults-on-32-bit-systems.patch

* Mon Aug 03 2020 daviddavid <daviddavid> 3.37.3-5.mga8
+ Revision: 1610750
- add upstream patch to bump ABI to sysprof-capture-4

* Sat Jul 18 2020 martinw <martinw> 3.37.3-4.mga8
+ Revision: 1606907
- fix one more segfault on 32-bit systems (mga#26942)

* Fri Jul 17 2020 martinw <martinw> 3.37.3-3.mga8
+ Revision: 1606762
- fix segfault on 32-bit systems (mga#26942)

* Thu Jul 16 2020 ovitters <ovitters> 3.37.3-2.mga8
+ Revision: 1606508
- add a patch for openjdk (from Fedora)

* Tue Jul 07 2020 ovitters <ovitters> 3.37.3-1.mga8
+ Revision: 1602863
- new version 3.37.3

* Wed Jun 10 2020 ovitters <ovitters> 3.37.2-1.mga8
+ Revision: 1591817
- new version 3.37.2

* Wed Jun 03 2020 ovitters <ovitters> 3.36.3-1.mga8
+ Revision: 1589804
- new version 3.36.3

* Wed Apr 29 2020 ovitters <ovitters> 3.36.2-1.mga8
+ Revision: 1573350
- new version 3.36.2

* Tue Mar 31 2020 daviddavid <daviddavid> 3.36.1-1.mga8
+ Revision: 1562686
- new version 3.36.1

* Wed Mar 11 2020 ovitters <ovitters> 3.36.0-2.mga8
+ Revision: 1555632
- disable xwayland_initfd as x11-server-xwayland not having that prevents Wayland from being used

* Sat Mar 07 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1554743
- new version 3.36.0

* Sun Mar 01 2020 tv <tv> 3.35.92-1.mga8
+ Revision: 1552553
- BR libpipewire-0.3 instead of libpipewire-0.2
- bump needed wayland-protocols version
+ ovitters <ovitters>
- new version 3.35.92

* Wed Feb 19 2020 umeabot <umeabot> 3.35.91-2.mga8
+ Revision: 1542563
- Mageia 8 Mass Rebuild

* Tue Feb 18 2020 tv <tv> 3.35.91-1.mga8
+ Revision: 1541181
- 3.35.91
+ ovitters <ovitters>
- new version 3.34.4

* Sun Jan 05 2020 ovitters <ovitters> 3.34.3-1.mga8
+ Revision: 1476732
- new version 3.34.3

* Tue Dec 24 2019 wally <wally> 3.34.2-1.mga8
+ Revision: 1469897
- add build conditional for building tests and disable the build for now
+ ovitters <ovitters>
- add eglstream support
- fix obsoletes
- new version 3.34.2

* Wed Oct 09 2019 ovitters <ovitters> 3.34.1-1.mga8
+ Revision: 1450864
- new version 3.34.1

* Mon Sep 09 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1439051
- new version 3.34.0

* Thu Sep 05 2019 ovitters <ovitters> 3.33.92-1.mga8
+ Revision: 1437435
- new version 3.33.92

* Thu Aug 22 2019 ovitters <ovitters> 3.33.91-1.mga8
+ Revision: 1431094
- new version 3.33.91

* Mon Aug 12 2019 ovitters <ovitters> 3.33.90-2.mga8
+ Revision: 1429082
- rebuild for gnome-desktop

* Sat Aug 10 2019 tv <tv> 3.33.90-1.mga8
+ Revision: 1428550
- fix file list
+ ovitters <ovitters>
- new version 3.33.90

* Fri Aug 09 2019 tv <tv> 3.33.4-1.mga8
+ Revision: 1428361
- new release

* Tue Jul 02 2019 ovitters <ovitters> 3.32.2-1.mga8
+ Revision: 1417625
- new version 3.32.2

* Thu Apr 18 2019 umeabot <umeabot> 3.32.1-2.mga7
+ Revision: 1392804
- Rebuild with meson 0.50.1

* Wed Apr 17 2019 ovitters <ovitters> 3.32.1-1.mga7
+ Revision: 1392607
- new version 3.32.1

* Tue Mar 12 2019 daviddavid <daviddavid> 3.32.0-1.mga7
+ Revision: 1374443
- new version 3.32.0
- remove merged upstream patches

* Sat Mar 09 2019 tmb <tmb> 3.31.92-3.mga7
+ Revision: 1373365
- really use Mga CFLAGS

* Sat Mar 09 2019 tmb <tmb> 3.31.92-2.mga7
+ Revision: 1373344
- sound-player: Don't deadlock in finish_cb
- Revert "cogl: Pick glReadPixels format by target, not source"
- Revert "Revert "cogl: Pick glReadPixels format by target, not source""
- cogl: Revert swizzling for BGRA buffers

* Sat Mar 09 2019 tmb <tmb> 3.31.92-1.mga7
+ Revision: 1373327
- add tests subpackage
- update filelists
- disable underlinking for now
- BR: x11-server-xwayland
- update wayland deps
- BR: pkgconfig(gnome-settings-daemon)
- sitch to meson
- update to 3.31.92

* Wed Nov 14 2018 ovitters <ovitters> 3.30.2-1.mga7
+ Revision: 1329884
- new version 3.30.2

* Mon Oct 08 2018 ovitters <ovitters> 3.30.1-1.mga7
+ Revision: 1318827
- new version 3.30.1

* Mon Sep 17 2018 tv <tv> 3.30.0-2.mga7
+ Revision: 1259381
- BR pkgconfig(libpipewire-0.2)
+ daviddavid <daviddavid>
- enable support for EGLDevice on top of KMS
- enable support for remote desktop and screen cast

* Tue Sep 04 2018 ovitters <ovitters> 3.30.0-1.mga7
+ Revision: 1256916
- new version 3.30.0

* Wed Aug 29 2018 ovitters <ovitters> 3.29.92-1.mga7
+ Revision: 1255556
- new version 3.29.92

* Mon Aug 20 2018 ovitters <ovitters> 3.29.91-1.mga7
+ Revision: 1253121
- new version 3.29.91

* Wed Aug 01 2018 ovitters <ovitters> 3.29.90-1.mga7
+ Revision: 1246471
- new version 3.29.90

* Wed Jul 18 2018 ovitters <ovitters> 3.29.4-1.mga7
+ Revision: 1244204
- new version 3.29.4
+ wally <wally>
- drop old obsoletes / provides

* Wed Jul 11 2018 wally <wally> 3.29.3-3.mga7
+ Revision: 1243035
- split out private libs and gir typelibs

* Wed Jul 11 2018 wally <wally> 3.29.3-2.mga7
+ Revision: 1243019
- fix lib and devel pkg names to improve libification

* Tue Jul 10 2018 ovitters <ovitters> 3.29.3-1.mga7
+ Revision: 1242971
- new version 3.29.3

* Tue May 08 2018 ovitters <ovitters> 3.28.2-1.mga7
+ Revision: 1227807
- new version 3.28.2

* Wed Apr 25 2018 ovitters <ovitters> 3.28.1-1.mga7
+ Revision: 1222439
- new version 3.28.1
- dropped merged patch 0001-clutter-Avoid-unnecessary-relayouts-in-ClutterText.patch

* Mon Mar 26 2018 tv <tv> 3.28.0-3.mga7
+ Revision: 1212610
- Avoid unnecessary relayouts in ClutterText

* Tue Mar 13 2018 tv <tv> 3.28.0-2.mga7
+ Revision: 1208986
- use new macros

* Mon Mar 12 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1208730
- new version 3.28.0

* Mon Mar 05 2018 ovitters <ovitters> 3.27.92-1.mga7
+ Revision: 1206854
- new version 3.27.92

* Thu Feb 22 2018 guillomovitch <guillomovitch> 3.27.91-1.mga7
+ Revision: 1204230
- new version 3.27.91
- drop merged patches

* Thu Feb 22 2018 guillomovitch <guillomovitch> 3.27.1-1.mga7
+ Revision: 1204080
- add upstream patches to fix i586 build
- new version 3.27.1

* Tue Feb 20 2018 ovitters <ovitters> 3.26.2-2.mga7
+ Revision: 1203688
- rebuild for new gnome-desktop

* Thu Nov 02 2017 ovitters <ovitters> 3.26.2-1.mga7
+ Revision: 1175595
- new version 3.26.2

* Wed Oct 04 2017 ovitters <ovitters> 3.26.1-1.mga7
+ Revision: 1168774
- new version 3.26.1

* Thu Sep 14 2017 tv <tv> 3.26.0-1.mga7
+ Revision: 1153877
- new release

* Thu Jul 20 2017 ovitters <ovitters> 3.24.4-1.mga7
+ Revision: 1125414
- new version 3.24.4

* Mon Jun 26 2017 ovitters <ovitters> 3.24.3-1.mga6
+ Revision: 1108521
- new version 3.24.3

* Fri May 12 2017 wally <wally> 3.24.2-2.mga6
+ Revision: 1100617
- rebuild for armv5tl

* Thu May 11 2017 ovitters <ovitters> 3.24.2-1.mga6
+ Revision: 1100323
- new version 3.24.2

* Tue Apr 11 2017 ovitters <ovitters> 3.24.1-1.mga6
+ Revision: 1096367
- new version 3.24.1

* Thu Mar 23 2017 tv <tv> 3.24.0-3.mga6
+ Revision: 1094586
- stop disaling -Wformat after previous patch

* Wed Mar 22 2017 ovitters <ovitters> 3.24.0-2.mga6
+ Revision: 1094517
- bump rel
- add patch to fix string format
+ tv <tv>
- relax Wformat b/c of issues on i586
- stop blocking private typelib provides as this now break mutter deps
- new release

* Sat Feb 18 2017 ovitters <ovitters> 3.22.3-1.mga6
+ Revision: 1086677
- new version 3.22.3
- dropped merged patch 7
- dropped merged patch 6
- dropped merged patch 5
- dropped merged patch 4
- dropped merged patch 3
- dropped merged patch 2

* Tue Feb 14 2017 wally <wally> 3.22.2-4.mga6
+ Revision: 1086153
- drop separate typelib pkg for one private typelib
- move private gir files to devel pkg

* Tue Feb 14 2017 wally <wally> 3.22.2-3.mga6
+ Revision: 1086143
- filter our private typelib provides (mga#20289)

* Fri Dec 23 2016 tmb <tmb> 3.22.2-2.mga6
+ Revision: 1076674
- pull in upstream fixes (fixes mga#19956)

* Thu Nov 10 2016 ovitters <ovitters> 3.22.2-1.mga6
+ Revision: 1066228
- new version 3.22.2

* Tue Oct 11 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1060113
- new version 3.22.1
- dropped merged patch 2

* Mon Sep 26 2016 tv <tv> 3.22.0-6.mga6
+ Revision: 1056788
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Sat Sep 24 2016 ovitters <ovitters> 3.22.0-5.mga6
+ Revision: 1055822
- add hack to prevent strange auto requires

* Thu Sep 22 2016 ovitters <ovitters> 3.22.0-4.mga6
+ Revision: 1055249
- add patch for string format error
- remove obsolete patch
- new version 3.22.0

* Thu Jun 30 2016 ovitters <ovitters> 3.20.3-1.mga6
+ Revision: 1038228
- new version 3.20.3

* Tue May 10 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1012309
- new version 3.20.2

* Wed Apr 13 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1001059
- new version 3.20.1

* Tue Mar 22 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 994157
- new version 3.20.0

* Wed Mar 16 2016 ovitters <ovitters> 3.19.92-1.mga6
+ Revision: 992148
- new version 3.19.92

* Thu Mar 03 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 985018
- new version 3.19.91

* Sun Feb 21 2016 tv <tv> 3.19.90-1.mga6
+ Revision: 975888
- only apply patch 1 to ia32... :-(
- patch 1: build fix
- temporary build fix
+ ovitters <ovitters>
- new version 3.19.90

* Thu Jan 21 2016 ovitters <ovitters> 3.19.4-1.mga6
+ Revision: 926352
- new version 3.19.4

* Thu Dec 17 2015 ovitters <ovitters> 3.19.3-1.mga6
+ Revision: 911218
- new version 3.19.3

* Thu Nov 26 2015 ovitters <ovitters> 3.19.2-1.mga6
+ Revision: 906323
- obsolete unneeded -wayland packages
- new version 3.19.2

* Thu Nov 12 2015 ovitters <ovitters> 3.18.2-1.mga6
+ Revision: 902831
- new version 3.18.2

* Fri Oct 16 2015 tv <tv> 3.18.1-1.mga6
+ Revision: 891988
- drop merged patch
- new release

* Mon Oct 12 2015 ovitters <ovitters> 3.18.0-2.mga6
+ Revision: 890113
- fix crash with mpv under Wayland

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882551
- new release

* Thu Sep 17 2015 wally <wally> 3.17.92-2.mga6
+ Revision: 880137
- fix mutter-wayland obsoletes (mga#16745)

* Wed Sep 16 2015 ovitters <ovitters> 3.17.92-1.mga6
+ Revision: 879933
- new version 3.17.92

* Thu Sep 03 2015 ovitters <ovitters> 3.17.91-1.mga6
+ Revision: 872481
- new version 3.17.91

* Thu Aug 20 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 866862
- new version 3.17.90

* Sat Jul 25 2015 blino <blino> 3.17.4-1.mga6
+ Revision: 857087
- remove gtk-doc (dropped upstream in commit 7dc0b0e6022ef101aac4987aee8363c0330d58f1)
+ ovitters <ovitters>
- new version 3.17.4

* Wed Jul 08 2015 ovitters <ovitters> 3.17.3-2.mga6
+ Revision: 852916
- ensure native backend is built

* Thu Jul 02 2015 ovitters <ovitters> 3.17.3-1.mga6
+ Revision: 849512
- new version 3.17.3

* Tue Jun 30 2015 wally <wally> 3.17.2-3.mga6
+ Revision: 848905
- rebuild to get more typelib() requires

* Mon Jun 29 2015 wally <wally> 3.17.2-2.mga6
+ Revision: 847792
- add requires for gir pkg to devel pkg
+ ovitters <ovitters>
- ensure wayland is enabled

* Sun Jun 21 2015 ovitters <ovitters> 3.17.2-1.mga6
+ Revision: 838372
- new version 3.17.2
- dropped merged patch 3
- dropped merged patch 2

* Sat Jun 20 2015 ovitters <ovitters> 3.14.4-1.mga6
+ Revision: 836300
- new version 3.14.4

* Wed May 06 2015 tmb <tmb> 3.14.3-5.mga5
+ Revision: 821342
- launcher: Fix a crash that happens when TakeDevice has an error
- Include libXrender as a dependency, link it to libmutter
- revert broken fglrx testfix

* Fri Apr 24 2015 tmb <tmb> 3.14.3-4.mga5
+ Revision: 820685
- work around Gnome crash with fglrx (bgo#741581, mga#15653)

* Sat Feb 21 2015 tv <tv> 3.14.3-3.mga5
+ Revision: 816164
- BR systemd-devel, thus fixing wayland support
  (broken b/c native backend was disabled)
+ ovitters <ovitters>
- drop patch, was already applied
- add patch from master fixing some log messages (mga#15017)

* Mon Dec 22 2014 ovitters <ovitters> 3.14.3-1.mga5
+ Revision: 804790
- new version 3.14.3

* Thu Nov 13 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 796741
- new version 3.14.2

* Wed Nov 05 2014 tv <tv> 3.14.1.5-2.mga5
+ Revision: 795859
- fix obsoleting libmutter-wayland-private-devel

* Fri Oct 31 2014 ovitters <ovitters> 3.14.1.5-1.mga5
+ Revision: 794995
- new version 3.14.1.5
- dropped merged patch 2

* Thu Oct 16 2014 ovitters <ovitters> 3.14.1-2.mga5
+ Revision: 765537
- add upstream patch to fix build
- add upstream patch to fix build
- new version 3.14.1
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.14.0-2.mga5
+ Revision: 727396
- rebuild for missing pythoneggs deps

* Mon Sep 22 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 719235
- new version 3.14.0

* Wed Sep 17 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 692840
- new version 3.13.92
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild
+ tv <tv>
- rebuild for new autoprov/req

* Wed Sep 03 2014 ovitters <ovitters> 3.13.91-1.mga5
+ Revision: 671511
- new version 3.13.91

* Thu Aug 21 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 666233
- add upstream patch to fix linking
- br xkeyboard-config,xkbfile
- new version 3.13.90
- dropped merged patch 2

* Mon Aug 04 2014 blino <blino> 3.13.4-2.mga5
+ Revision: 659659
- add upstream patch to fix potential screen/update flickering problems (bgo#728464)

* Thu Jul 24 2014 tv <tv> 3.13.4-1.mga5
+ Revision: 656363
- adjust file list
- fix build
+ ovitters <ovitters>
- new version 3.13.4

* Sun Jul 20 2014 colin <colin> 3.13.3-5.mga5
+ Revision: 654728
- Fix window initialisation which can cause info leak (bgo#733447)

* Sun Jul 20 2014 colin <colin> 3.13.3-4.mga5
+ Revision: 654715
- Fix shell restarting (bgo#733448, bgo#733068)

* Wed Jul 02 2014 ovitters <ovitters> 3.13.3-3.mga5
+ Revision: 642424
- obsolete the mutter-wayland-private-devel package

* Sat Jun 28 2014 pterjan <pterjan> 3.13.3-2.mga5
+ Revision: 640661
- Obsolete mutter-wayland

* Sat Jun 28 2014 wally <wally> 3.13.3-1.mga5
+ Revision: 640607
- add patch from usptream to link against libinput
+ tv <tv>
- fix build
+ ovitters <ovitters>
- new version 3.13.3

* Wed May 14 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622749
- new version 3.12.2

* Tue Apr 15 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 615213
- new version 3.12.1

* Tue Mar 25 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608631
- new version 3.12.0

* Wed Mar 19 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 605931
- new version 3.11.92

* Thu Mar 06 2014 tv <tv> 3.11.91-1.mga5
+ Revision: 600426
- new release

* Mon Feb 24 2014 tv <tv> 3.11.90-3.mga5
+ Revision: 596125
- rebuild for new cogl

* Mon Feb 24 2014 pterjan <pterjan> 3.11.90-2.mga5
+ Revision: 596111
- Rebuild for new cogl

* Thu Feb 20 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 594999
- new version 3.11.90

* Wed Feb 19 2014 tv <tv> 3.11.5-2.mga5
+ Revision: 594622
- rebuild for new libgnome-desktop

* Thu Feb 06 2014 ovitters <ovitters> 3.11.5-1.mga5
+ Revision: 584069
- new version 3.11.5

* Tue Feb 04 2014 ovitters <ovitters> 3.10.3-1.mga5
+ Revision: 582487
- new version 3.10.3

* Fri Nov 15 2013 ovitters <ovitters> 3.10.2-1.mga4
+ Revision: 551412
- new version 3.10.2

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1.1-2.mga4
+ Revision: 545492
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 ovitters <ovitters> 3.10.1.1-1.mga4
+ Revision: 501334
- new version 3.10.1.1

* Tue Oct 15 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 501045
- new version 3.10.1

* Wed Sep 25 2013 ovitters <ovitters> 3.10.0.1-1.mga4
+ Revision: 486150
- new version 3.10.0.1

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484568
- new version 3.10.0

* Tue Sep 17 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 480534
- drop merged patch
- new version 3.9.92

* Tue Sep 03 2013 ovitters <ovitters> 3.9.91-1.mga4
+ Revision: 474844
- drop merged patch
- new version 3.9.91

* Mon Sep 02 2013 colin <colin> 3.9.90-5.mga4
+ Revision: 474339
- Mask XRandR BadValue reply under VirtualBox which leads to a gnome-shell crash

* Mon Sep 02 2013 colin <colin> 3.9.90-4.mga4
+ Revision: 474326
- Rebuild against new gnome-desktop3

* Mon Sep 02 2013 colin <colin> 3.9.90-3.mga4
+ Revision: 474306
- Update to current git master (fixes several crashes, incl. one from mga#11124)

* Thu Aug 22 2013 colin <colin> 3.9.90-2.mga4
+ Revision: 469702
- Possibly fix xrandr segv

* Thu Aug 22 2013 ovitters <ovitters> 3.9.90-1.mga4
+ Revision: 469412
- update file list
- br upower-glib,gnome-desktop-3.0
- new version 3.9.90

* Thu Aug 01 2013 tmb <tmb> 3.9.5-3.mga4
+ Revision: 462444
- rebuild for new cogl

* Thu Aug 01 2013 dams <dams> 3.9.5-2.mga4
+ Revision: 462427
- rebuild for new cogl

* Tue Jul 30 2013 ovitters <ovitters> 3.9.5-1.mga4
+ Revision: 461153
- new version 3.9.5

* Sun Jul 28 2013 dams <dams> 3.9.4-1.mga4
+ Revision: 459307
- new version 3.9.4

* Sun Jul 14 2013 sander85 <sander85> 3.8.3-2.mga4
+ Revision: 454309
- Rebuild for new cogl

* Fri Jun 07 2013 ovitters <ovitters> 3.8.3-1.mga4
+ Revision: 440313
- new version 3.8.3

* Sat May 25 2013 blino <blino> 3.8.2-1.mga4
+ Revision: 427236
- package gtk-doc/meta
- rediff cast-align patch (now applies on configure.ac)
- 3.8.2

* Sat Mar 02 2013 rtp <rtp> 3.6.3-2.mga3
+ Revision: 401102
- disable cast-align warning, which leads to ftbfs on arm

* Wed Feb 13 2013 ovitters <ovitters> 3.6.3-1.mga3
+ Revision: 398277
- new version 3.6.3

* Mon Jan 14 2013 boklm <boklm> 3.6.2-3.mga3
+ Revision: 388120
- rebuild because libmutter-gir3.0-3.6.2-2.mga3.i586.rpm is empty on mirrors

* Sat Jan 12 2013 umeabot <umeabot> 3.6.2-2.mga3
+ Revision: 360542
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 317355
- new version 3.6.2

* Mon Oct 15 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 306828
- new version 3.6.1

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297356
- new version 3.6.0

* Wed Sep 19 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 296211
- new version 3.5.92

* Wed Sep 12 2012 ovitters <ovitters> 3.5.91-2.mga3
+ Revision: 292780
- remove br gir-repository

* Tue Sep 04 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 287902
- new version 3.5.91

* Tue Aug 21 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 282937
- new version 3.5.90

* Tue Aug 07 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 279617
- new version 3.5.5

* Mon Jul 16 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 271563
- new version 3.5.4

* Sun Jul 01 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 266470
- new version 3.5.3

* Wed Apr 18 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231261
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226832
- new version 3.4.0

* Tue Mar 20 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 225120
- new version 3.3.92

* Tue Mar 06 2012 fwang <fwang> 3.3.90-2.mga2
+ Revision: 220654
- rebuild for new cogl

* Thu Feb 23 2012 ovitters <ovitters> 3.3.90-1.mga2
+ Revision: 212571
- new version
- drop cogl patch

* Wed Feb 22 2012 wally <wally> 3.3.5-2.mga2
+ Revision: 212378
- rebuild for new cogl (add P0 from upstream git)

* Wed Feb 08 2012 ovitters <ovitters> 3.3.5-1.mga2
+ Revision: 206361
- new version
- clean spec

* Sat Jan 21 2012 ovitters <ovitters> 3.3.4-1.mga2
+ Revision: 198966
- new version
- drop merged patch

* Tue Jan 17 2012 fwang <fwang> 3.3.3-2.mga2
+ Revision: 197264
- rebuild for new cogl

* Wed Jan 04 2012 ovitters <ovitters> 3.3.3-1.mga2
+ Revision: 190755
- new version 3.3.3

* Wed Nov 23 2011 wally <wally> 3.3.2-2.mga2
+ Revision: 171489
- enable introspection again as it's enabled in gsettings-desktop-schemas too (build doesn't fail anymore)
- drop unneeded patch

* Wed Nov 23 2011 wally <wally> 3.3.2-1.mga2
+ Revision: 171456
- disable deprecation warnings for clutter to get pkg to build
- disable introspection for now and ad P0 to fix build without it
- update file list
+ tv <tv>
- rebuild for new mutter
+ fwang <fwang>
- disable introspection for now
- disable warnings
- bump req
- new version 3.3.2

* Tue Oct 18 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 156080
- new version 3.2.1
- drop usptreamed patch

* Thu Sep 29 2011 colin <colin> 3.2.0-2.mga2
+ Revision: 150357
- Plug a memory leak (bgo#660464)

* Mon Sep 26 2011 wally <wally> 3.2.0-1.mga2
+ Revision: 148944
- new version 3.2.0
- clean .spec a bit

* Wed Sep 21 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 146212
- new version 3.1.92

* Mon Sep 19 2011 wally <wally> 3.1.91.1-2.mga2
+ Revision: 145680
- rebuild for new cogl

* Thu Sep 15 2011 fwang <fwang> 3.1.91.1-1.mga2
+ Revision: 143696
- new version 3.1.91.1

* Tue Aug 30 2011 ovitters <ovitters> 3.1.90.1-1.mga2
+ Revision: 136802
- Fix sha1.lst
- Update to 3.1.90.1

* Tue Aug 30 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136476
- do not promote warn-error for giscanner
- new version 3.1.90
- new version 3.1.4
- rebuild for new cogl
+ colin <colin>
- Add BR on libsm. Solves the gnome-shell 'Oh Noes' login problem.

* Fri Jul 08 2011 cjw <cjw> 3.1.3.1-1.mga2
+ Revision: 119973
- 3.1.3.1

* Thu Jun 09 2011 dmorgan <dmorgan> 3.0.2.1-2.mga2
+ Revision: 102446
- Remove la files

* Tue Jun 07 2011 dmorgan <dmorgan> 3.0.2.1-1.mga2
+ Revision: 101677
- Add gtk3+-devel as BR
- Add gtk3+-devel as BR
- New release 3.0.2.1
+ tv <tv>
- new release
- new release
- rebuild for new gir
- imported package mutter


* Mon Jun 21 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.1-4mdv2010.1
+ Revision: 548403
- Patch3 (GIT): prevent possible DOS with too much damage events

* Tue May 25 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.1-3mdv2010.1
+ Revision: 545988
- Patch2: ensure text is locale encoded for Zenity (GNOME bug 617536)

* Mon May 10 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.1-2mdv2010.1
+ Revision: 544363
- Patch0 (GIT): improves damage performance
- Patch1 (GIT): fix flashes when windows are created

* Fri Mar 19 2010 Götz Waschk <waschk@mandriva.org> 2.29.1-1mdv2010.1
+ Revision: 525203
- new version
- drop patches

* Wed Mar 17 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.0-3mdv2010.1
+ Revision: 524470
- Patch1 (GIT): remove workaround for old intel drivers

* Wed Mar 17 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.0-2mdv2010.1
+ Revision: 524226
- Patch0 (GIT): fix build with latest clutter

* Fri Feb 19 2010 Götz Waschk <waschk@mandriva.org> 2.29.0-1mdv2010.1
+ Revision: 507979
- new version
- new API

* Thu Feb 11 2010 Götz Waschk <waschk@mandriva.org> 2.28.1-0.20100211.1mdv2010.1
+ Revision: 504235
- git snapshot

* Thu Nov 26 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-2mdv2010.1
+ Revision: 470382
- add explicit dep on libmutter

* Thu Oct 08 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 456006
- new version
- update file list

* Wed Sep 16 2009 Götz Waschk <waschk@mandriva.org> 2.27.5-1mdv2010.0
+ Revision: 443442
- update to new version 2.27.5

* Sat Sep 05 2009 Götz Waschk <waschk@mandriva.org> 2.27.4-1mdv2010.0
+ Revision: 432059
- new version

* Sat Aug 29 2009 Götz Waschk <waschk@mandriva.org> 2.27.3-1mdv2010.0
+ Revision: 422131
- update to new version 2.27.3

* Wed Aug 12 2009 Götz Waschk <waschk@mandriva.org> 2.27.2-2mdv2010.0
+ Revision: 415264
- move typelib to the library package

* Tue Aug 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.2-1mdv2010.0
+ Revision: 414699
- new version
- drop patches
- reenable --as-needed

* Thu Aug 06 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-3mdv2010.0
+ Revision: 410985
- fix for bug #52685

* Thu Jul 30 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-2mdv2010.0
+ Revision: 404615
- fix the patch
- patch for new clutter
- drop patches

* Fri Jul 17 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-1mdv2010.0
+ Revision: 396803
- initial package
- drop metacity theme patch
- build without --as-neede
- rename

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.0-1mdv2010.0
+ Revision: 374234
- new version
- drop patches 5,6

* Wed Apr 15 2009 Frederic Crozat <fcrozat@mandriva.com> 2.26.0-3mdv2009.1
+ Revision: 367437
- Fix default theme for One and Powerpack

* Wed Apr 01 2009 Frederic Crozat <fcrozat@mandriva.com> 2.26.0-2mdv2009.1
+ Revision: 363325
- Add libcanberra-devel as buildrequires
- Update default theme color for Mdv 2009.1
- Patch5 (SVN): fix struts with auto-hidden panel (GNOME bug #572573)
- Patch6 (SVN): use libcanberra to play sound events (GNOME bug #557921)

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 356168
- update to new version 2.26.0

* Sun Feb 01 2009 Götz Waschk <waschk@mandriva.org> 2.25.144-1mdv2009.1
+ Revision: 336232
- update to new version 2.25.144

* Sat Dec 27 2008 Götz Waschk <waschk@mandriva.org> 2.25.89-1mdv2009.1
+ Revision: 319930
- new version
- drop patch 5

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 2.25.55-1mdv2009.1
+ Revision: 315967
- new version
- update patch 0

* Tue Dec 02 2008 Götz Waschk <waschk@mandriva.org> 2.25.34-1mdv2009.1
+ Revision: 309097
- update to new version 2.25.34

* Wed Nov 26 2008 Götz Waschk <waschk@mandriva.org> 2.25.13-1mdv2009.1
+ Revision: 306913
- update to new version 2.25.13

* Mon Nov 24 2008 Götz Waschk <waschk@mandriva.org> 2.25.8-1mdv2009.1
+ Revision: 306234
- disable werror to make it build
- depend on zenity
- new version
- update file list

* Sun Nov 09 2008 Oden Eriksson <oeriksson@mandriva.com> 2.25.5-2mdv2009.1
+ Revision: 301477
- rebuilt against new libxcb

* Thu Oct 23 2008 Götz Waschk <waschk@mandriva.org> 2.25.5-1mdv2009.1
+ Revision: 296642
- update to new version 2.25.5

* Wed Oct 22 2008 Götz Waschk <waschk@mandriva.org> 2.25.3-1mdv2009.1
+ Revision: 296547
- new version
- drop patches 0,1

* Wed Oct 22 2008 Götz Waschk <waschk@mandriva.org> 2.25.2-1mdv2009.1
+ Revision: 296387
- fix build deps
- update file list
- new version
- patch to add sources missing from the tarball
- patch to fix linking
- update patch 2

* Tue Oct 14 2008 Götz Waschk <waschk@mandriva.org> 2.25.1-1mdv2009.1
+ Revision: 293623
- new version
- update file list

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 286846
- new version

* Tue Sep 09 2008 Götz Waschk <waschk@mandriva.org> 2.23.610-1mdv2009.0
+ Revision: 283192
- new version
- update file list

* Wed Sep 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.377-1mdv2009.0
+ Revision: 279925
- new version

* Wed Sep 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.233-1mdv2009.0
+ Revision: 279562
- new version
- update file list

* Tue Aug 26 2008 Frederic Crozat <fcrozat@mandriva.com> 2.23.144-3mdv2009.0
+ Revision: 276236
- Update default theme to Ia Ora Smooth for all distro flavors

* Mon Aug 25 2008 Frederic Crozat <fcrozat@mandriva.com> 2.23.144-2mdv2009.0
+ Revision: 275900
- Patch5 (Fedora): don't move window across workspaces when raising (Mdv bug #25009) (GNOME bug #482354)

* Mon Aug 18 2008 Frederic Crozat <fcrozat@mandriva.com> 2.23.144-1mdv2009.0
+ Revision: 273301
- Release 2.23.144

* Wed Jul 23 2008 Frederic Crozat <fcrozat@mandriva.com> 2.23.55-2mdv2009.0
+ Revision: 242116
- Add xinerama devel libs to BR, ensure Xinerama support is always built

* Mon Jul 14 2008 Götz Waschk <waschk@mandriva.org> 2.23.55-1mdv2009.0
+ Revision: 234435
- new version

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.34-1mdv2009.0
+ Revision: 231170
- new version
- update license
- fix build

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Mar 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183169
- new version

* Tue Mar 04 2008 Frederic Crozat <fcrozat@mandriva.com> 2.21.21-2mdv2008.1
+ Revision: 178418
- Change theme for download and desktop meta-class, for Mandriva 2008.1

* Thu Feb 28 2008 Götz Waschk <waschk@mandriva.org> 2.21.21-1mdv2008.1
+ Revision: 175974
- new version

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 2.21.13-1mdv2008.1
+ Revision: 165743
- new version

* Mon Feb 04 2008 Götz Waschk <waschk@mandriva.org> 2.21.8-1mdv2008.1
+ Revision: 161960
- new version
- drop patches 5,6

* Fri Feb 01 2008 Frederic Crozat <fcrozat@mandriva.com> 2.21.5-4mdv2008.1
+ Revision: 161162
- Disable compositing for now, too many drivers have still buggy compositing support

  + Götz Waschk <waschk@mandriva.org>
    - remove wonderland theme

* Fri Dec 28 2007 Frederic Crozat <fcrozat@mandriva.com> 2.21.5-3mdv2008.1
+ Revision: 138764
- Patch6 (SVN): fix glitches in compositor (GNOME bug #504876, fix shadows)

* Thu Dec 27 2007 Frederic Crozat <fcrozat@mandriva.com> 2.21.5-2mdv2008.1
+ Revision: 138445
- Patch5 (SVN): use Composite Overlay Window from XComposite >= 0.3

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Götz Waschk <waschk@mandriva.org> 2.21.5-1mdv2008.1
+ Revision: 133880
- new version
- drop patch 3

* Wed Dec 19 2007 Frederic Crozat <fcrozat@mandriva.com> 2.21.3-2mdv2008.1
+ Revision: 133820
- Remove source2 and patch3 (no longer used)
- Patch3 (SVN): new compositor code, from Ian Holmes
- Patch4 : enable compositor mode by default

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Götz Waschk <waschk@mandriva.org> 2.21.3-1mdv2008.1
+ Revision: 120712
- new version

* Sun Nov 18 2007 Götz Waschk <waschk@mandriva.org> 2.21.2-1mdv2008.1
+ Revision: 109889
- new version

* Mon Nov 12 2007 Götz Waschk <waschk@mandriva.org> 2.21.1-1mdv2008.1
+ Revision: 108092
- new version
- new version

* Sun Sep 16 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 88438
- new version

* Thu Sep 06 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.55-2mdv2008.0
+ Revision: 81034
- Migrate default theme when upgrading from old distribution

* Tue Aug 07 2007 Götz Waschk <waschk@mandriva.org> 2.19.55-1mdv2008.0
+ Revision: 59865
- update file list
- new version
- drop patch 4
- call intltoolize to fix build

* Thu Aug 02 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.34-2mdv2008.0
+ Revision: 58081
- Patch4: fix kill dialog text with non-UTF8 locale

* Tue Jul 24 2007 Götz Waschk <waschk@mandriva.org> 2.19.34-1mdv2008.0
+ Revision: 54918
- new version
- new devel naming scheme

* Mon Jun 18 2007 Götz Waschk <waschk@mandriva.org> 2.19.21-1mdv2008.0
+ Revision: 40820
- new version

* Mon Jun 11 2007 Götz Waschk <waschk@mandriva.org> 2.19.13-1mdv2008.0
+ Revision: 38000
- new version

* Mon Jun 04 2007 Götz Waschk <waschk@mandriva.org> 2.19.8-1mdv2008.0
+ Revision: 35201
- new version

* Tue Apr 24 2007 Götz Waschk <waschk@mandriva.org> 2.19.5-1mdv2008.0
+ Revision: 17809
- new version

* Wed Apr 18 2007 Götz Waschk <waschk@mandriva.org> 2.19.3-1mdv2008.0
+ Revision: 14423
- new version
- update file list

